# Copyright (C) 2006  Novell, Inc.  www.novell.com/linux
#
# This library is distributed under the terms of the Ruby license.
# You can freely distribute/modify this library.
#
# Author: Nathan Younger <nyounger@novell.com>
#
module CASA
  NSSCS_MAX_USERID_LEN      = 256
  NSSCS_MAX_PWORD_LEN       = 128
  NSSCS_MAX_SECRET_ID_LEN   = 512

  SSCS_CRED_TYPE_BASIC_F    = 0x0000001
  SSCS_CRED_TYPE_BINARY_F   = 0x0000002
  SSCS_CRED_TYPE_SERVER_F   = 0x0000004

  USERNAME_TYPE_CN_F        = 0x0000000
  USERNAME_TYPE_NDS_DN_F    = 0x0000001
  USERNAME_TYPE_NDS_FDN_F   = 0x0000002
  USERNAME_TYPE_LDAP_DN_F   = 0x0000004
  USERNAME_TYPE_EMAIL_F     = 0x0000008
  USERNAME_TYPE_OTHER_F     = 0x0000010
end